VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL D
        SIGNAL C
        SIGNAL Q
        SIGNAL QN
        PORT Input D
        PORT Input C
        PORT Output Q
        PORT Output QN
        BEGIN BLOCKDEF ld
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -320 320 -64 
            LINE N 384 -256 320 -256 
            LINE N 0 -256 64 -256 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 ld
            PIN D D
            PIN G C
            PIN Q Q
        END BLOCK
        BEGIN BLOCK XLXI_2 inv
            PIN I Q
            PIN O QN
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 352 608 R0
        BEGIN BRANCH D
            WIRE 288 352 352 352
        END BRANCH
        BEGIN BRANCH C
            WIRE 288 480 352 480
        END BRANCH
        BEGIN BRANCH Q
            WIRE 736 352 752 352
            WIRE 752 352 992 352
            WIRE 992 352 1024 352
            WIRE 752 352 752 480
            WIRE 752 480 768 480
        END BRANCH
        INSTANCE XLXI_2 768 512 R0
        BEGIN BRANCH QN
            WIRE 992 480 1024 480
        END BRANCH
        IOMARKER 288 352 D R180 28
        IOMARKER 288 480 C R180 28
        IOMARKER 1024 352 Q R0 28
        IOMARKER 1024 480 QN R0 28
        DISPLAY 764 428 TEXT "This construction might give problems in practice"
    END SHEET
END SCHEMATIC
