VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL D
        SIGNAL C
        SIGNAL Q1
        SIGNAL QN1
        SIGNAL Q2
        SIGNAL QN2
        SIGNAL Q3
        SIGNAL QN3
        SIGNAL Q4
        SIGNAL QN4
        PORT Input D
        PORT Input C
        PORT Output Q1
        PORT Output QN1
        PORT Output Q2
        PORT Output QN2
        PORT Output Q3
        PORT Output QN3
        PORT Output Q4
        PORT Output QN4
        BEGIN BLOCKDEF D_Latch1
            TIMESTAMP 2007 9 15 21 1 25
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF D_Latch2
            TIMESTAMP 2007 9 15 21 4 10
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF D_Latch3
            TIMESTAMP 2007 9 15 21 10 32
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF D_Latch4
            TIMESTAMP 2007 9 15 21 10 56
            RECTANGLE N 64 -128 320 0 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -96 384 -96 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 D_Latch1
            PIN D D
            PIN C C
            PIN Q Q1
            PIN QN QN1
        END BLOCK
        BEGIN BLOCK XLXI_2 D_Latch2
            PIN D D
            PIN C C
            PIN Q Q2
            PIN QN QN2
        END BLOCK
        BEGIN BLOCK XLXI_3 D_Latch3
            PIN D D
            PIN C C
            PIN Q Q3
            PIN QN QN3
        END BLOCK
        BEGIN BLOCK XLXI_4 D_Latch4
            PIN D D
            PIN C C
            PIN Q Q4
            PIN QN QN4
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN INSTANCE XLXI_1 512 416 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_2 512 640 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_3 512 864 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_4 512 1088 R0
        END INSTANCE
        BEGIN BRANCH D
            WIRE 400 320 496 320
            WIRE 496 320 512 320
            WIRE 496 320 496 544
            WIRE 496 544 512 544
            WIRE 496 544 496 768
            WIRE 496 768 512 768
            WIRE 496 768 496 992
            WIRE 496 992 512 992
        END BRANCH
        BEGIN BRANCH C
            WIRE 400 384 448 384
            WIRE 448 384 448 608
            WIRE 448 608 448 832
            WIRE 448 832 448 1056
            WIRE 448 1056 512 1056
            WIRE 448 832 512 832
            WIRE 448 608 512 608
            WIRE 448 384 512 384
        END BRANCH
        BEGIN BRANCH Q1
            WIRE 896 320 1024 320
        END BRANCH
        BEGIN BRANCH QN1
            WIRE 896 384 1024 384
        END BRANCH
        BEGIN BRANCH Q2
            WIRE 896 544 1040 544
        END BRANCH
        BEGIN BRANCH QN2
            WIRE 896 608 1040 608
        END BRANCH
        BEGIN BRANCH Q3
            WIRE 896 768 1040 768
        END BRANCH
        BEGIN BRANCH QN3
            WIRE 896 832 1040 832
        END BRANCH
        BEGIN BRANCH Q4
            WIRE 896 992 1040 992
        END BRANCH
        BEGIN BRANCH QN4
            WIRE 896 1056 1040 1056
        END BRANCH
        IOMARKER 400 320 D R180 28
        IOMARKER 400 384 C R180 28
        IOMARKER 1024 320 Q1 R0 28
        IOMARKER 1024 384 QN1 R0 28
        IOMARKER 1040 544 Q2 R0 28
        IOMARKER 1040 608 QN2 R0 28
        IOMARKER 1040 768 Q3 R0 28
        IOMARKER 1040 832 QN3 R0 28
        IOMARKER 1040 992 Q4 R0 28
        IOMARKER 1040 1056 QN4 R0 28
    END SHEET
END SCHEMATIC
