VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_1
        SIGNAL XLXN_2
        SIGNAL Q
        SIGNAL QN
        SIGNAL D
        SIGNAL C
        PORT Output Q
        PORT Output QN
        PORT Input D
        PORT Input C
        BEGIN BLOCKDEF or2b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 32 -64 
            CIRCLE N 32 -76 56 -52 
            LINE N 0 -128 32 -128 
            CIRCLE N 32 -140 56 -116 
            LINE N 256 -96 192 -96 
            ARC N -40 -152 72 -40 48 -48 48 -144 
            LINE N 112 -48 48 -48 
            ARC N 28 -144 204 32 192 -96 112 -144 
            LINE N 112 -144 48 -144 
            ARC N 28 -224 204 -48 112 -48 192 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF nand2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF nand2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 or2b2
            PIN I0 QN
            PIN I1 XLXN_1
            PIN O Q
        END BLOCK
        BEGIN BLOCK XLXI_2 or2b2
            PIN I0 XLXN_2
            PIN I1 Q
            PIN O QN
        END BLOCK
        BEGIN BLOCK XLXI_3 nand2
            PIN I0 C
            PIN I1 D
            PIN O XLXN_1
        END BLOCK
        BEGIN BLOCK XLXI_9 nand2b1
            PIN I0 D
            PIN I1 C
            PIN O XLXN_2
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 592 336 R0
        INSTANCE XLXI_2 592 496 R0
        INSTANCE XLXI_3 288 304 R0
        BEGIN BRANCH XLXN_1
            WIRE 544 208 592 208
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 544 432 592 432
        END BRANCH
        BEGIN BRANCH Q
            WIRE 528 304 528 368
            WIRE 528 368 592 368
            WIRE 528 304 928 304
            WIRE 848 240 928 240
            WIRE 928 240 928 304
            WIRE 928 240 1008 240
        END BRANCH
        BEGIN BRANCH QN
            WIRE 544 272 592 272
            WIRE 544 272 544 320
            WIRE 544 320 928 320
            WIRE 928 320 928 400
            WIRE 928 400 1008 400
            WIRE 848 400 928 400
        END BRANCH
        INSTANCE XLXI_9 288 528 R0
        BEGIN BRANCH D
            WIRE 192 176 272 176
            WIRE 272 176 288 176
            WIRE 272 176 272 464
            WIRE 272 464 288 464
        END BRANCH
        BEGIN BRANCH C
            WIRE 192 320 256 320
            WIRE 256 320 256 400
            WIRE 256 400 288 400
            WIRE 256 240 288 240
            WIRE 256 240 256 320
        END BRANCH
        IOMARKER 192 176 D R180 28
        IOMARKER 192 320 C R180 28
        IOMARKER 1008 240 Q R0 28
        IOMARKER 1008 400 QN R0 28
    END SHEET
END SCHEMATIC
