VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL Q
        SIGNAL QN
        SIGNAL D
        SIGNAL C
        PORT Output Q
        PORT Output QN
        PORT Input D
        PORT Input C
        BEGIN BLOCKDEF m2_1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 96 -64 96 -192 
            LINE N 256 -96 96 -64 
            LINE N 256 -160 256 -96 
            LINE N 96 -192 256 -160 
            LINE N 176 -32 96 -32 
            LINE N 176 -80 176 -32 
            LINE N 0 -32 96 -32 
            LINE N 320 -128 256 -128 
            LINE N 0 -96 96 -96 
            LINE N 0 -160 96 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 m2_1
            PIN D0 Q
            PIN D1 D
            PIN S0 C
            PIN O Q
        END BLOCK
        BEGIN BLOCK XLXI_2 inv
            PIN I Q
            PIN O QN
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        INSTANCE XLXI_1 400 432 R0
        BEGIN BRANCH Q
            WIRE 320 176 320 272
            WIRE 320 272 400 272
            WIRE 320 176 768 176
            WIRE 768 176 768 304
            WIRE 768 304 768 400
            WIRE 768 400 784 400
            WIRE 768 304 1024 304
            WIRE 720 304 768 304
        END BRANCH
        INSTANCE XLXI_2 784 432 R0
        BEGIN BRANCH QN
            WIRE 1008 400 1024 400
        END BRANCH
        BEGIN BRANCH D
            WIRE 256 336 400 336
        END BRANCH
        BEGIN BRANCH C
            WIRE 256 400 400 400
        END BRANCH
        IOMARKER 256 336 D R180 28
        IOMARKER 256 400 C R180 28
        IOMARKER 1024 400 QN R0 28
        IOMARKER 1024 304 Q R0 28
        DISPLAY 448 444 TEXT "This construction might give problems in practice"
    END SHEET
END SCHEMATIC
