--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.2.02i
--  \   \         Application : sch2vhdl
--  /   /         Filename : Test_D_Latches.vhf
-- /___/   /\     Timestamp : 09/15/2007 23:14:01
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:\Xilinx92i\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w D:/BASYS_PROJECTS/EXER3x/Exer3_2_D_Latch/Test_D_Latches.sch Test_D_Latches.vhf
--Design Name: Test_D_Latches
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity Test_D_Latches is
   port ( C   : in    std_logic; 
          D   : in    std_logic; 
          QN1 : out   std_logic; 
          QN2 : out   std_logic; 
          QN3 : out   std_logic; 
          QN4 : out   std_logic; 
          Q1  : out   std_logic; 
          Q2  : out   std_logic; 
          Q3  : out   std_logic; 
          Q4  : out   std_logic);
end Test_D_Latches;

architecture BEHAVIORAL of Test_D_Latches is
   component D_Latch1
      port ( D  : in    std_logic; 
             C  : in    std_logic; 
             Q  : out   std_logic; 
             QN : out   std_logic);
   end component;
   
   component D_Latch2
      port ( D  : in    std_logic; 
             C  : in    std_logic; 
             Q  : out   std_logic; 
             QN : out   std_logic);
   end component;
   
   component D_Latch3
      port ( D  : in    std_logic; 
             C  : in    std_logic; 
             Q  : out   std_logic; 
             QN : out   std_logic);
   end component;
   
   component D_Latch4
      port ( D  : in    std_logic; 
             C  : in    std_logic; 
             Q  : out   std_logic; 
             QN : out   std_logic);
   end component;
   
begin
   XLXI_1 : D_Latch1
      port map (C=>C,
                D=>D,
                Q=>Q1,
                QN=>QN1);
   
   XLXI_2 : D_Latch2
      port map (C=>C,
                D=>D,
                Q=>Q2,
                QN=>QN2);
   
   XLXI_3 : D_Latch3
      port map (C=>C,
                D=>D,
                Q=>Q3,
                QN=>QN3);
   
   XLXI_4 : D_Latch4
      port map (C=>C,
                D=>D,
                Q=>Q4,
                QN=>QN4);
   
end BEHAVIORAL;


